<!DOCTYPE html>
<html lang="en">

<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>New-Request</title>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/4.3.1/css/bootstrap.min.css">
    <link rel='stylesheet' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.2/css/all.min.css'>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.css" />
    <link rel="stylesheet" href="../dist/css/main.css" type="text/css" />
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
</head>

<body>
    <div class="sidenav leftSidebar expandedNav">
        <!-- for leftSidebar sidebar.js -->
    </div>

    <nav class="navbar-header">
        <!-- for topnavigation bar topbar.js -->
    </nav>
    <!-- leftSidebar -->
    <div class="col-md-12 col-sm-12 col-xs-12 no-padding">
        <div class="headerTop">


            <div class="tabsContainer">
                <h2 class="mainHeading">Assets</h2>

                <ul class="tabs mb-0">
                    <li>
                        <a href="#">My Assets</a>
                    </li>
                    <li>
                        <a href="#">REVIEW & APPROVALS</a>
                    </li>
                </ul>

                <div class="toggleSideBar">
                    <ul>
                        <li>
                            <a href="#" class="togglePopup" id="toggleRightSidebar">
                                <svg width="17" height="17" viewBox="0 0 17 17" fill="none" xmlns="http://www.w3.org/2000/svg">
                                    <path fill-rule="evenodd" clip-rule="evenodd" d="M7.92917 4.4625V4.9625H8.42917H11.8917V10.2H12.8917V4.9625V4.4625L12.3917 3.9625L10.4125 1.98333L8.92917 0.5L8.42917 0H7.92917H6.44583H2C0.89543 0 0 0.89543 0 2V13.8667C0 14.9712 0.895431 15.8667 2 15.8667H3.4V14.8667H2C1.44772 14.8667 1 14.419 1 13.8667V2C1 1.44772 1.44772 1 2 1H6.44583H7.92917V4.4625ZM9.70539 2.69044L8.92917 1.91421V3.9625H10.9775L9.70539 2.69044Z" fill="#869094"/>
                                    <rect x="6.7998" y="6.80005" width="1.13333" height="3.4" fill="#869094"/>
                                    <rect x="3.40039" y="4.53345" width="1.13333" height="5.66667" fill="#869094"/>
                                    <path d="M10.3067 14.1666C10.314 14.4872 10.0809 14.7437 9.78953 14.7357C9.50547 14.7357 9.27239 14.4792 9.27239 14.1666C9.27239 12.6036 10.4268 11.3333 11.8472 11.3333L14.4256 11.3333C15.8459 11.3333 17.0003 12.6036 17.0003 14.1666C17.0003 15.7295 15.8459 16.9999 14.4256 16.9999H13.3403C13.6426 16.6753 13.8939 16.2946 14.0759 15.8698L14.4219 15.8658C15.2777 15.8698 15.9697 15.1084 15.966 14.1666C15.9697 13.2248 15.2777 12.4634 14.4219 12.4674H11.8508C10.995 12.4634 10.303 13.2248 10.3067 14.1666ZM12.8778 13.5975C13.1618 13.5975 13.3949 13.854 13.3949 14.1666C13.3949 15.7295 12.2405 16.9999 10.8202 16.9999H8.24176C6.82145 16.9999 5.66699 15.7295 5.66699 14.1666C5.66699 12.6036 6.82145 11.3333 8.24176 11.3333L9.32702 11.3333C9.02475 11.6579 8.77346 12.0386 8.58773 12.4674H8.2454C7.38957 12.4634 6.69763 13.2248 6.70127 14.1666C6.69763 15.1084 7.38957 15.8698 8.2454 15.8658H10.8165C11.6723 15.8698 12.3643 15.1084 12.3607 14.1666C12.3534 13.846 12.5864 13.5895 12.8778 13.5975Z" fill="#869094"/>
                                    </svg>
                                    Reports &
                                Links
                                <img class="angle pr-0" src="../dist/images/angledown.png" alt="user">
                            </a>
                            <div class="popup" id="toggledivSidebar">
                                <div class="rightSidebar">
                                    <div class="reportsLinks mt-2">
                                        <h3 class="reports">Reports</h3>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf">
                                                My Assets</a>
                                        </p>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/doc_pdf.png" alt="pdf">
                                                Team Assets</a>
                                        </p>
                                    </div>
                                    <div class="relatedLinks mt-4">
                                        <h3>Related Links</h3>
                                        <p class="PDFfile">
                                            <a href="#"><img src="../dist/images/pdf.png" alt="pdf">
                                                View Policy</a>
                                        </p>


                                    </div>

                                </div>
                            </div>
                        </li>
                    </ul>

                </div>
            </div>
        </div>
        <div class="main rightContentArea">

            <div class="tab">
                <!-- / tabs -->
                <div class="tab_content">
                    <div class="tabs_item innerContent">
                        <div class="row ml-0 mr-0">
                            <div class="tableShorting">
                                <div class="sectionHeadingContainer">
                                    <div class="sectionHeading">
                                        <a href="#">
                                            <div data-toggle="tooltip" title="Back" data-placement="top"
                                                class="backButton d-flex align-items-center">
                                                <svg style="width:20px;height:20px;" viewBox="0 0 24 24">
                                                    <path fill="#000000"
                                                        d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z">
                                                    </path>
                                                </svg>
                                            </div>
                                        </a><span class="pipe"></span>
                                        <h3>New Asset Requisition</h3>
                                    </div>
                                </div>
                                <div class="content" id="asset">
                                    <div class="radioButttonStyling mb-4">
                                        <label class="topLabel">Request For</label>
                                        <label for="opt1" class="radio ">
                                            <input type="radio" name="asset-request-for" id="opt1" checked
                                                class="hidden" />
                                            <span class="label"></span>New
                                        </label>

                                        <label for="opt2" class="radio">
                                            <input type="radio" name="asset-request-for" id="opt2" class="hidden" />
                                            <span class="label"></span>Upgrade
                                        </label>
                                        <label for="opt3" class="radio">
                                            <input type="radio" name="asset-request-for" id="opt3" class="hidden" />
                                            <span class="label"></span>Repair
                                        </label>
                                    </div>
                                    <div id="newAssetForm">
                                        <div class="row no-padding">
                                            <div class="fields mr-4 mb-4">
                                                <label for="courseType" class="labelGroup">Asset Type <span
                                                        class="mandatorySign">*</span></label>
                                                <select class="mandatory" id="courseType" name="courseType">
                                                    <option value="" selected="selected" hidden="hidden">Select the
                                                        type of asset</option>
                                                    <option value="webinar">Mouse</option>
                                                    <option value="certification">Computer</option>
                                                </select>
                                            </div>
                                            <div class="fields">
                                                <label class="labelGroup" for="courseLevel">Asset <span
                                                        class="mandatorySign">*</span></label>
                                                <select class="mandatory" id="level" name="level">
                                                    <option value="" selected="selected" hidden="hidden">Select an
                                                        asset</option>
                                                    <option value="Beginner">Logitech Y720</option>
                                                    <option value="Intermediate">Dell S140</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div id="newAssetFormConfigSpecs" class="mb-4">
                                            <div class="fields">
                                                <label class="labelGroup" for="addititonalConfigurations">Addititonal
                                                    Configurations <span class="mandatorySign">*</span></label>
                                                <textarea class="mandatory" name="addititonalConfigurations" cols="30"
                                                    rows="10" placeholder="Enter the additional Configuration"
                                                    id="addititonalConfigurations"></textarea>
                                            </div>
                                            <div class="fields">
                                                <label class="labelGroup" for="accesoriesRequired">Accesories Required
                                                    <span class="mandatorySign">*</span></label>
                                                <textarea class="mandatory" name="accesoriesRequired" cols="30"
                                                    rows="10" placeholder="Enter the accesories required"
                                                    id="accesoriesRequired"></textarea>
                                            </div>
                                        </div>
                                    </div>

                                    <div id="upgradeAssetForm" style="display:none">
                                        <div class="row no-padding">
                                            <div class="fields mb-4 inputBoxIcon">
                                                <label class="labelGroup" for="againstAsset">Against Asset <span
                                                        class="mandatorySign">*</span></label>

                                                        <a href="#againstAssetPopup" rel="modal:open"><input class="mandatory" type="text" id="againstAsset"
                                                    placeholder="Search for the asset" /></a>
                                                <span class="inputIcon mr-2"><svg width="22" height="24" viewBox="0 0 22 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                    <rect x="0.692104" width="11.7354" height="11.7354" rx="5.8677" transform="matrix(0.692104 -0.721798 0.692104 0.721798 0.213096 10.4996)" stroke="#BCBDBE"></rect>
                                                    <rect width="0.979646" height="6.85752" transform="matrix(0.692104 -0.721798 0.692104 0.721798 12.2041 14.2426)" fill="#BCBDBE"></rect>
                                                    </svg></span>

                                            </div>
                                        </div>
                                        <div class="d-flex">
                                            <div class="fields">
                                                <label class="labelGroup" for="addititonalConfigurations">Update
                                                    Configuration <span class="mandatorySign">*</span></label>
                                                <textarea class="mandatory" name="addititonalConfig" cols="30" rows="10"
                                                    placeholder="Enter the update configuration"
                                                    id="addititonalConfig"></textarea>
                                            </div>
                                            <div class="fields ml-4">
                                                <label class="labelGroup" for="accesoriesRequired">Accesories Required
                                                    <span class="mandatorySign">*</span></label>
                                                <textarea class="mandatory" name="accesoriesReq" cols="30"
                                                    rows="10" placeholder="Enter the accesories required"
                                                    id="accesoriesReq"></textarea>
                                            </div>
                                        </div>
                                    </div>

                                    <div id="repairAssetForm" style="display:none">
                                        <div class="row no-padding">
                                            <div class="fields mb-4 mr-4 inputBoxIcon">
                                                <label class="labelGroup" for="againstAsset">Against Asset <span
                                                        class="mandatorySign">*</span></label>
                                                        <a href="#againstAssetPopup" rel="modal:open"><input class="mandatory" type="text" id="againstAst"
                                                    placeholder="Search for the asset" /></a>
                                                <span class="inputIcon mr-2"><svg width="22" height="24" viewBox="0 0 22 24" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                    <rect x="0.692104" width="11.7354" height="11.7354" rx="5.8677" transform="matrix(0.692104 -0.721798 0.692104 0.721798 0.213096 10.4996)" stroke="#BCBDBE"></rect>
                                                    <rect width="0.979646" height="6.85752" transform="matrix(0.692104 -0.721798 0.692104 0.721798 12.2041 14.2426)" fill="#BCBDBE"></rect>
                                                    </svg></span>
                                            </div>
                                            <div class="fields mr-4 mb-4">
                                                <label class="labelGroup" for="repairPart">Repair Part <span
                                                        class="mandatorySign">*</span> </label>
                                                <input class="mandatory" type="text" id="repairPart" name="repairPart"
                                                    placeholder="Enter the repair part's name" />
                                            </div>
                                        </div>
                                    </div>
                                        <div class="row">
                                            <div class="fields col-md-6" style="width:100%">
                                                <label class="labelGroup" for="reasonRemark">Reason <span
                                                        class="mandatorySign">*</span></label>
                                                <textarea class="mandatory" name="reasonRemark" cols="30" rows="10"
                                                    placeholder="State the reason for requesting new asset"
                                                    id="reasonRemark" style="width:94%"></textarea>
                                            </div>
                                        </div>
                                        <div>
                                            <button class="oct-btn oct-btn-primary mr-2 mt-4"
                                                onclick="formValidations('asset');">Request Asset</button>
                                            <button class="oct-btn-link" onclick="clearForm('asset');">Clear</button>
                                        </div>

                                    </div>
                                </div>

                            </div>

                        </div>
                        <!-- / tabs_item -->
                        <div class="tabs_item innerContent">
                            <div class="row ml-0 mr-0">
                                <div class="tableShorting">
                                    <div class="sectionHeadingContainer">
                                        <div class="sectionHeading">
                                            <a href="#">
                                                <div data-toggle="tooltip" title="Back" data-placement="top"
                                                    class="backButton d-flex align-items-center">
                                                    <svg style="width:20px;height:20px;" viewBox="0 0 24 24">
                                                        <path fill="#000000"
                                                            d="M20,11V13H8L13.5,18.5L12.08,19.92L4.16,12L12.08,4.08L13.5,5.5L8,11H20Z">
                                                        </path>
                                                    </svg>
                                                </div>
                                            </a><span class="pipe"></span>
                                            <h3>Team Requisiton History</h3>
                                        </div>
                                    </div>
                                    <div class="table-responsive table-striped table-striped table-hover table-striped table-hover">
                                        <table class="innerTable">
                                            <tr>
                                                <th class="trHead">Request No.</th>
                                                <th class="trHead">Requested BY</th>
                                                <th class="trHead">Request Date
                                                </th>
                                                <th class="trHead">Asset Type
                                                </th>
                                                <th class="trHead">Asset Name
                                                </th>
                                                <th class="trHead">Configuration
                                                </th>
                                                <th class="trHead">Reason</th>
                                            </tr>
                                            <tr>
                                                <td><a href="#cancelRequest" rel="modal:open">TR18/0158</a></td>
                                                <td>
                                                    <a href="#">
                                                        <span class="user_review"><img src="../dist/images/sachin.png"
                                                                alt="sachin_user">Sachin
                                                                Shah</span></a>
                                                </td>
                                                <td>Mar 12</td>
                                                <td>Mouse</td>
                                                <td>Logitech M170</td>
                                                <td>M170 Wireless</td>
                                                <td>Need one for graphic design</td>
                                            </tr>
                                            <tr>
                                                <td><a href="#">TR18/0159</a></td>
                                                <td>
                                                    <a href="#">
                                                        <span class="user_review"><img src="../dist/images/amik.png"
                                                                alt="amik_user">Amik
                                                                Desai</span></a>
                                                </td>

                                                <td>Mar 6</td>
                                                <td>Computer</td>
                                                <td>Lenovo Y530</td>
                                                <td>8gb RAM, 1tb hd...</td>
                                                <td>Current device lags a lot.</td>
                                            </tr>

                                        </table>
                                    </div>

                                </div>

                            </div>

                        </div>

                        <!-- / tabs_item -->
                    </div>

                    <!-- / tab_content -->
                </div>
                <!-- / tab -->
            </div>
        </div>

        <div id="cancelRequest" class="modal userReviewspopup">

            <!-- userHistory popup model content-->
            <div class="userheader">
                <span class="TCPopupHeading">Attendance Details</span>
            </div>

            <div class="approvalPopup">
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUEST NO<span>LV18/00001158</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQUESTED BY<span>sachin Shah</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>REQ DATE<span>Mar 12</span></p>
                    </div>


                </div>
                <div class="row">
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET TYPE<span>Computer</span></p>
                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>ASSET NAME<span> Logitech M170</span></p>

                    </div>
                    <div class="col-md-4 col-sm-12 col-xs-12">
                        <p>CONFIGURATION<span> M170 Wireless</span></p>
                    </div>


                </div>
                <div class="row">
                    <div class="col-md-8 col-sm-12 col-xs-12">
                        <p>Reason<span>Need one for graphic design</span></p>
                    </div>



                </div>




            </div>
        </div>
        <div id="againstAssetPopup" class="modal userReviewspopup">
            <!-- againstAssetPopup popup model content-->
            <div class="userheader">
                <span class="TCPopupHeading">Select Asset</span>
            </div>

            <div class="table-responsive table-striped mb-2 table-hover">
                <table class="innerTable">
                    <tbody><tr>
                        <th class="trHead"></th>
                        <th class="trHead">Asset Type</th>
                        <th class="trHead">Asset Name
                        </th>
                        <th class="trHead">Configuration
                        </th>
                        <th class="trHead">Serial No.
                        </th>
                    </tr>
                    <tr>
                        <td><input style="width: auto;" onclick="onCheck()" type="checkbox" class="case" name="case" value="1"></td>
                        <td>Data Card</td>
                        <td>E3372h - 607</td>
                        <td>E3372h - 607</td>
                        <td>7044831755</td> 
                    </tr>
                    <tr>
                        <td><input style="width: auto;" onclick="onCheck()" type="checkbox" class="case" name="case" value="2"></td>
                        <td>Laptop</td>
                        <td>HP Probook 440 G3</td>
                        <td>Processore: Core i3 (6th Gen); RAM: 8GB; HDD: 1TB</td>
                        <td>5CD6294189</td> 
                    </tr>
                    <tr>
                        <td><input style="width: auto;" onclick="onCheck()" type="checkbox" class="case" name="case" value="3"></td>
                        <td>Mouse</td>
                        <td>Wireless Mouse</td>
                        <td>Wireless Mouse (Make: Logitech, M171) S/n: 1726LZ0G4U99 P/n: 910-004657</td>
                        <td>1726LZ0MPLT8</td> 
                    </tr>
                    

                </tbody></table>
            </div>
            <div class="form-group mb-0 mt-4">
                <div class="row marginNone closeBtn">
                    <button type="button"
                        class="oct-btn oct-btn-primary mt-0">Apply</button>
                    &nbsp;
                    <a class="mt-1 ml-2" href="#close-modal" rel="modal:close">Close</a>
                </div>

            </div>
        </div>

        <script src="https://code.jquery.com/jquery-3.3.1.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-modal/0.9.1/jquery.modal.min.js"></script>
        <script src="../dist/js/sidebar.js"></script>
        <script src="../dist/js/topbar.js"></script>
        <script src="../dist/js/octane.js"></script>
        <script>
            // Radio button show hide div on click
            document.getElementById('opt1').addEventListener('click', function opt1() {
                document.getElementById('newAssetForm').style.display = 'block';
                document.getElementById('upgradeAssetForm').style.display = 'none';
                document.getElementById('repairAssetForm').style.display = 'none';
            });
            document.getElementById('opt2').addEventListener('click', function opt2() {
                document.getElementById('newAssetForm').style.display = 'none';
                document.getElementById('upgradeAssetForm').style.display = 'block';
                document.getElementById('repairAssetForm').style.display = 'none';
            });

            // Radio button show hide div on click
            document.getElementById('opt3').addEventListener('click', function opt3() {
                document.getElementById('newAssetForm').style.display = 'none';
                document.getElementById('upgradeAssetForm').style.display = 'none';
                document.getElementById('repairAssetForm').style.display = 'block';
            });
        </script>
</body>

</html>